Get Account reports
curl --request GET \
--url https://app.yampi.ai/api/v2/accounts/{account_id}/reports \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v2/accounts/{account_id}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v2/accounts/{account_id}/reports"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"value": "<string>",
"timestamp": 123
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Reports
Get Account reports
Get Account reports for a specific type, metric and date range
GET
/
api
/
v2
/
accounts
/
{account_id}
/
reports
Get Account reports
curl --request GET \
--url https://app.yampi.ai/api/v2/accounts/{account_id}/reports \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v2/accounts/{account_id}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v2/accounts/{account_id}/reports"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"value": "<string>",
"timestamp": 123
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
Query Parameters
The type of metric
Available options:
conversations_count, incoming_messages_count, outgoing_messages_count, avg_first_response_time, avg_resolution_time, resolutions_count Type of report
Available options:
account, agent, inbox, label, team The Id of specific object in case of agent/inbox/label
The timestamp from where report should start.
The timestamp from where report should stop.